cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Solver.Types.SolverId

Synopsis

- data SolverId
  - = PreExistingId {
    - solverSrcId :: PackageId
    - solverInstId :: UnitId
    }
  - | PlannedId {
    - solverSrcId :: PackageId
    }

# Documentation

data SolverId #

The solver can produce references to existing packages or packages we plan to install. Unlike `ConfiguredId` we don't yet know the `UnitId` for planned packages, because it's not the solver's job to compute them.

Constructors

PreExistingId |

Fields

- solverSrcId :: PackageId
- solverInstId :: UnitId

PlannedId |

Fields

- solverSrcId :: PackageId

#### Instances

Instances details

Package SolverId # |
Instance details Defined in Distribution.Solver.Types.SolverId Methods packageId :: SolverId -> PackageIdentifier #
Structured SolverId # |
Instance details Defined in Distribution.Solver.Types.SolverId Methods structure :: Proxy SolverId -> Structure # structureHash' :: Tagged SolverId MD5
Binary SolverId # |
Instance details Defined in Distribution.Solver.Types.SolverId Methods put :: SolverId -> Put # get :: Get SolverId # putList :: [SolverId] -> Put #
Generic SolverId # |

Instance details

Defined in Distribution.Solver.Types.SolverId

Associated Types

type Rep SolverId |

Instance details

Defined in Distribution.Solver.Types.SolverId

type Rep SolverId = D1 ('MetaData "SolverId" "Distribution.Solver.Types.SolverId" "cabal-install-solver-3.12.1.0-BcLJX5rVQuejx1qrKAH5j" 'False) (C1 ('MetaCons "PreExistingId" 'PrefixI 'True) (S1 ('MetaSel ('Just "solverSrcId") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 PackageId) :*: S1 ('MetaSel ('Just "solverInstId") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 UnitId)) :+: C1 ('MetaCons "PlannedId" 'PrefixI 'True) (S1 ('MetaSel ('Just "solverSrcId") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 PackageId)))

Methods

from :: SolverId -> Rep SolverId x #

to :: Rep SolverId x -> SolverId #

Show SolverId # |
Instance details Defined in Distribution.Solver.Types.SolverId Methods showsPrec :: Int -> SolverId -> ShowS # show :: SolverId -> String # showList :: [SolverId] -> ShowS #
Eq SolverId # |
Instance details Defined in Distribution.Solver.Types.SolverId Methods (==) :: SolverId -> SolverId -> Bool # (/=) :: SolverId -> SolverId -> Bool #
Ord SolverId # |
Instance details Defined in Distribution.Solver.Types.SolverId Methods compare :: SolverId -> SolverId -> Ordering # (<) :: SolverId -> SolverId -> Bool # (<=) :: SolverId -> SolverId -> Bool # (>) :: SolverId -> SolverId -> Bool # (>=) :: SolverId -> SolverId -> Bool # max :: SolverId -> SolverId -> SolverId # min :: SolverId -> SolverId -> SolverId #
type Rep SolverId # |

Instance details

Defined in Distribution.Solver.Types.SolverId

type Rep SolverId = D1 ('MetaData "SolverId" "Distribution.Solver.Types.SolverId" "cabal-install-solver-3.12.1.0-BcLJX5rVQuejx1qrKAH5j" 'False) (C1 ('MetaCons "PreExistingId" 'PrefixI 'True) (S1 ('MetaSel ('Just "solverSrcId") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 PackageId) :*: S1 ('MetaSel ('Just "solverInstId") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 UnitId)) :+: C1 ('MetaCons "PlannedId" 'PrefixI 'True) (S1 ('MetaSel ('Just "solverSrcId") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 PackageId)))